From 9549f6e8c6692cf6a3a898e29dbf0d7bcdb0b1e8 Mon Sep 17 00:00:00 2001
From: Remy DeCausemaker <decause@redhat.com>
Date: Jun 04 2015 21:06:06 +0000
Subject: [PATCH 76/1001] We have a working badges widget!


---

diff --git a/hubs/app.py b/hubs/app.py
index 2fee16a..e914bfa 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -73,12 +73,6 @@ def get_widget(session, hub, idx):
 def widget_render(hub, idx):
     widget = get_widget(session, hub, idx)
 
-    # Make this artificially slow for development...
-    import random, time
-    s = (random.random() * 3) + 1
-    print(widget.plugin, "sleeping artificially for", s)
-    time.sleep(s)
-
     return widget.render(session)
 
 
diff --git a/hubs/widgets/badges.py b/hubs/widgets/badges.py
index 0f44294..976a137 100644
--- a/hubs/widgets/badges.py
+++ b/hubs/widgets/badges.py
@@ -9,9 +9,11 @@ import hubs.validators as validators
 
 
 template = jinja2.Template("""
+<div class="flex-container">
 {% for badge in assertions %}
-    <img src="{{badge['image']}}"/>
+    <img width="19%" src="{{badge['image']}}"/>
 {%endfor%}
+</div>
 """)
 
 from hubs.widgets.chrome import panel

